package com.xy.feign;

import com.xy.service.FileExportService;
import com.xy.FeignInterceptor;
import com.xy.consts.ServiceConsts;
import org.springframework.cloud.openfeign.FeignClient;

/**
 * <p>
 * 文件导出 feign
 * </p>
 *
 * @author 谭斌
 * @since 2023-03-04
 */
@FeignClient(value = ServiceConsts.SERVICE_NAME, configuration = FeignInterceptor.class)
public interface FileExportFeign extends FileExportService {

}
