package com.xy.feign;

import com.xy.FeignInterceptor;
import com.xy.consts.ServiceConsts;
import com.xy.service.MsgSysMonitorNoticeService;
import org.springframework.cloud.openfeign.FeignClient;

/**
 * <p>
 * 系统消息 feign
 * </p>
 *
 * @author 谭斌
 * @since 2023-03-13
 */
@FeignClient(value = ServiceConsts.SERVICE_NAME, configuration = FeignInterceptor.class)
public interface MsgSysMonitorNoticeFeign extends MsgSysMonitorNoticeService {

}
