package com.xy.feign;

import com.xy.FeignInterceptor;
import com.xy.consts.ServiceConsts;
import com.xy.service.MsgUserMessageService;
import org.springframework.cloud.openfeign.FeignClient;

/**
 * <p>
 * feign
 * </p>
 *
 * @author 谭斌
 * @since 2023-02-24
 */
@FeignClient(value = ServiceConsts.SERVICE_NAME, configuration = FeignInterceptor.class)
public interface MsgUserMessageFeign extends MsgUserMessageService {

}
