package com.xy.entity;

import cn.easyes.annotation.IndexId;
import cn.easyes.annotation.IndexName;
import lombok.Data;
import lombok.experimental.Accessors;

/**
 * 事件日志
 */
@Data
@Accessors(chain = true)
@IndexName("log_sys_events")
public class LogSysEvents {

    @IndexId
    private String id;

    /**
     * 事件编码
     */
    private String code;

    /**
     * 事件等级
     */
    private Integer eventLevel;

    /**
     * 事件名称
     */
    private String eventName;

    /**
     * 事件描述
     */
    private String eventDescript;

    /**
     * 服务器端口
     */
    private Integer port;

    /**
     * 服务名
     */
    private String serviceName;

    /**
     * 创建时间
     */
    private String createTime;

    /**
     * 日志类别
     */
    private String type;
}
