package com.xy.entity;

import com.xy.base.BaseEntity2;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;


/**
 * <p>
 * 场景表
 * </p>
 *
 * @author lijin
 * @since 2022-12-28
 */
@Data
@Accessors(chain = true)
public class SysScene extends BaseEntity2<SysScene> {

    /**
     * 父ID
     */
    @ApiModelProperty(value = "父ID")
    private Long paterId;

    /**
     * 场景值
     */
    @ApiModelProperty(value = "场景值")
    private String sceneCode;

    /**
     * 场景名称
     */
    @ApiModelProperty(value = "场景名称")
    private String name;

    /**
     * 层级
     */
    @ApiModelProperty(value = "层级")
    private Integer level;

    /**
     * 权重(排序)
     */
    @ApiModelProperty(value = "权重(排序)")
    private Integer weigh;

    /**
     * 状态;0=隐藏,1=显示
     */
    @ApiModelProperty(value = "状态;0=隐藏,1=显示")
    private Boolean status;

}
