package com.xy.service;

import com.xy.annotate.RestMappingController;
import com.xy.dto.AlgorithmDto;
import com.xy.utils.R;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;

/**
 * <p>
 * 算法平台 服务类
 * </p>
 *
 * @author hechunping
 * @since 2023-01-12
 */
@RestMappingController("algorithm")
public interface AlgorithmService {
    @PostMapping("listAllColumn")
    R<List<AlgorithmDto.ListAllColumn>> listAllColumn(@RequestBody AlgorithmDto.ListAllColumn listAllColumn);

    @PostMapping("saveOrUpdate")
    R saveOrUpdate(@Validated @RequestBody AlgorithmDto.Save saveDto);

    @PostMapping("listNameId")
    R<List<AlgorithmDto.ListNameId>> ListNameId();
}
