package com.xy.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

@Data
@Component
@ConfigurationProperties(prefix = "spring")
public class SpringConfigs {

    private Profiles profiles;

    private Application application;

    @Data
    public static class Profiles {

        private String active;
    }

    @Data
    public static class Application {

        private String name;
    }
}
