package com.xy.entity;

import cn.easyes.annotation.IndexId;
import cn.easyes.annotation.IndexName;
import lombok.Data;
import lombok.experimental.Accessors;

/**
 * 定时任务日志
 */
@Data
@Accessors(chain = true)
@IndexName("log_tasks")
public class LogTasks {

    @IndexId
    private String id;

    /**
     * 定时任务类型，中文
     */
    private String taskType;

    /**
     * 任务标题
     */
    private String taskTitle;

    /**
     * 任务事件，中文
     */
    private String taskEvent;

    /**
     * 事件描述
     */
    private String taskDescript;

    /**
     * 服务器IP
     */
    private String serverIp;

    /**
     * 服务名
     */
    private String serviceName;

    /**
     * 创建时间
     */
    private String createTime;

    /**
     * 日志类别
     */
    private String type;
}
