package com.xy.entity;

import cn.easyes.annotation.IndexId;
import cn.easyes.annotation.IndexName;
import lombok.Data;
import lombok.experimental.Accessors;

/**
 * mqtt消费失败数据
 */
@Data
@Accessors(chain = true)
@IndexName("mqtt_error_data")
public class MqttConsumeErrorData {

    @IndexId
    private String id;

    /**
     * topic
     */
    private String topic;

    /**
     * 内容
     */
    private String msg;

    /**
     * 错误信息
     */
    private String errorMsg;

    /**
     * 创建时间
     */
    private String createTime;

}
