package com.xy.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.xy.base.BaseEntity3;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 * 系统编码配置表
 * </p>
 *
 * @author lijin
 * @since 2023-04-20
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "SysCodeConfigure对象", description = "系统编码配置表")
public class SysCodeConfigure extends BaseEntity3<SysCodeConfigure> implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId
    @ApiModelProperty(value = "编码")
    private String code;

    @ApiModelProperty(value = "上级编码")
    private String paterCode;

    @ApiModelProperty(value = "标题")
    private String title;

    @ApiModelProperty(value = "说明")
    private String msg;

    @ApiModelProperty(value = "建议")
    private String propose;

    @ApiModelProperty(value = "扩展字段")
    private String expand;

}
