package com.xy.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.xy.base.BaseEntity3;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 字典表
 * </p>
 *
 * @author lijin
 * @since 2022-12-09
 */
@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = true)
public class SysDict extends BaseEntity3<SysDict> {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 父编码
     */
    private String paterCode;

    /**
     * 编码
     */
    private String code;

    /**
     * 编码值
     */
    private String value;

    /**
     * 编码说明
     */
    private String msg;

    /**
     * 状态
     */
    private Boolean status;

    /**
     * 排序 正序
     */
    private Integer orders;

    /**
     * 回显样式
     */
    private String listClass;

    /**
     * 回显class
     */
    private String cssClass;
}
