
package com.xy.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.experimental.Accessors;

/**
 * <p>
 * 区域表
 * </p>
 *
 * @author lijin
 * @since 2022-12-28
 */
@Data
@Accessors(chain = true)
public class SysRegion {

    @TableId
    private Integer id;

    /**
     * 父id
     */
    private Integer pid;

    /**
     * 简称
     */
    private String shortname;

    /**
     * 名称
     */
    private String name;

    /**
     * 全称
     */
    private String mergename;

    /**
     * 层级 1=省 2=市 3=区县
     */
    private Integer level;

    /**
     * 拼音
     */
    private String pinyin;

    /**
     * 长途区号
     */
    private String code;

    /**
     * 邮编
     */
    private String zip;

    /**
     * 首字母
     */
    private String first;

    /**
     * 经度
     */
    private String lng;

    /**
     * 纬度
     */
    private String lat;

    /**
     * 状态:0=正常,1=隐藏
     */
    private Integer status;
}
