package com.xy.dto;

import com.xy.enums.SmsSceneEnum;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;


/**
 * 短信dto
 *
 * @author 谭斌
 * @date 2023/08/11
 */
@Data
@Accessors(chain = true)
public class SmsDTO {

    @Data
    @Accessors(chain = true)
    public static class Validation {
        @ApiModelProperty(value = "手机号")
        private String mobile;
        @ApiModelProperty(value = "场景")
        private SmsSceneEnum smsSceneEnum;
        @ApiModelProperty(value = "用户ID")
        private String uid;
        @ApiModelProperty(value = "验证码")
        private String code;
    }

}
