package com.xy.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;


@Data
@Accessors(chain = true)
public class SmsSendDTO {

    @NotBlank(message = "手机号不能为空")
    private String mobile;

    @NotNull(message = "发送场景不能为空")
    private Integer scene;

    @ApiModelProperty(value = "用户ID")
    private Long userInfoId;


}
