package com.xy.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;

public class SysMqttDto {

    @Data
    @Accessors(chain = true)
    public static class RequestParams {

        @NotBlank(message = "topic不能为空")
        @ApiModelProperty(value = "topic", required = true)
        private String topic;

        @NotBlank(message = "data不能为空")
        @ApiModelProperty(value = "消息内容", required = true)
        private String data;

    }

}
