package com.xy.service;

import com.xy.annotate.RestMappingController;
import com.xy.dto.SysMqttDto;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

/**
 * 系统消费者 接口
 */
@RestMappingController("sys-mqtt-consumer")
public interface SysMqttConsumer {

    /**
     * 日志
     *
     * @param requestParams
     */
    @PostMapping("logs")
    void logs(@RequestBody @Validated SysMqttDto.RequestParams requestParams);

}
