package com.xy.enums;

import lombok.Getter;

public class LogEnum {

    @Getter
    public enum LogType {
        V1(1, "登录日志"),
        V2(2, "操作日志");


        LogType(int value, String msg) {
            this.value = value;
            this.msg = msg;
        }

        private int value;

        private String msg;
    }

    @Getter
    public enum OptType {
        V1(1, "新增"),
        V2(2, "修改"),
        V3(3, "查询"),
        V4(4, "删除"),
        V5(5, "导出"),
        V6(6, "导入"),
        V7(7, "指令"),
        V100(100, "自动识别");

        OptType(int value, String msg) {
            this.value = value;
            this.msg = msg;
        }

        private int value;

        private String msg;
    }
}
